INTERFACE
SUBROUTINE LASCAW_VINTW_TL(KPROM,KFLEV,KSLEV,KST,KPROF,LDT_SLHD,&
 & KLEV,PLEV,PDVER,PKAPPA,PVETA,PVCUICO_,PVSLD_,PVSLDW_,&
 & PLEV5,PDVER5,PKAPPA5,PVINTW,PVINTWSLD,PVINTW5,PVINTWSLD5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLASCAW, ONLY : KPDUP
INTEGER(KIND=JPIM), INTENT(IN) :: KPROM
INTEGER(KIND=JPIM), INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM), INTENT(IN) :: KSLEV
INTEGER(KIND=JPIM), INTENT(IN) :: KST
INTEGER(KIND=JPIM), INTENT(IN) :: KPROF
LOGICAL , INTENT(IN) :: LDT_SLHD(3)
INTEGER(KIND=JPIM), INTENT(IN) :: KLEV(KPROM,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) , INTENT(IN) :: PLEV(KPROM,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) , INTENT(IN) :: PDVER(KPROM,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) , INTENT(IN) :: PKAPPA(KPROM,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) , INTENT(IN) :: PVETA(0:KFLEV+KSLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PVCUICO_(KPDUP,4,0:KFLEV-KSLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PVSLD_(KPDUP,3,0:KFLEV-KSLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PVSLDW_(KPDUP,3,3,0:KFLEV-KSLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PLEV5(KPROM,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) , INTENT(IN) :: PDVER5(KPROM,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) , INTENT(IN) :: PKAPPA5(KPROM,KSLEV:KFLEV+KSLEV-1)
REAL(KIND=JPRB) , INTENT(OUT) :: PVINTW(KPROM,KSLEV:KFLEV+KSLEV-1,3)
REAL(KIND=JPRB) , INTENT(OUT) :: PVINTWSLD(KPROM,KSLEV:KFLEV+KSLEV-1,3)
REAL(KIND=JPRB) , INTENT(OUT) :: PVINTW5(KPROM,KSLEV:KFLEV+KSLEV-1,3)
REAL(KIND=JPRB) , INTENT(OUT) :: PVINTWSLD5(KPROM,KSLEV:KFLEV+KSLEV-1,3)
END SUBROUTINE LASCAW_VINTW_TL
END INTERFACE
